USE [COWS]
GO

OPEN SYMMETRIC KEY FS@K3y 
DECRYPTION BY CERTIFICATE S3cFS@CustInf0;

UPDATE dbo.AD_EVENT WITH (TABLOCKX)
SET EVENT_TITLE_TXT_NEW = CASE WHEN (LEN(EVENT_TITLE_TXT) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(EVENT_TITLE_TXT,'')))) ELSE NULL END

UPDATE dbo.MPLS_EVENT WITH (TABLOCKX)
SET EVENT_TITLE_NEW = CASE WHEN (LEN(EVENT_TITLE_TXT) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(EVENT_TITLE_TXT,'')))) ELSE NULL END

UPDATE dbo.NGVN_EVENT WITH (TABLOCKX)
SET EVENT_TITLE_NEW = CASE WHEN (LEN(EVENT_TITLE_TXT) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(EVENT_TITLE_TXT,'')))) ELSE NULL END

UPDATE dbo.SPLK_EVENT WITH (TABLOCKX)
SET EVENT_TITLE_NEW = CASE WHEN (LEN(EVENT_TITLE_TXT) > 0) THEN dbo.encryptString(RTRIM(LTRIM(COALESCE(EVENT_TITLE_TXT,'')))) ELSE NULL END